#                                               -*- Autoconf -*-
# Process this file with autoconf to produce a configure script.

AC_PREREQ([2.60])
AC_INIT([libpwiz], [3.0.18344], [proteowizard-support@lists.sourceforge.net])
AM_INIT_AUTOMAKE
AC_CONFIG_SRCDIR([../pwiz/Version.cpp])
#AC_CONFIG_HEADERS([config.h])

# Checks for programs.
AC_PROG_LIBTOOL
AC_PROG_AWK
AC_PROG_CXX
AC_PROG_CC

# Checks for libraries.

# Checks for header files.
AC_CHECK_HEADERS([fcntl.h float.h inttypes.h limits.h memory.h netinet/in.h stdint.h stdlib.h string.h sys/ioctl.h unistd.h])

# Checks for typedefs, structures, and compiler characteristics.
AC_CHECK_HEADER_STDBOOL
AC_C_INLINE
AC_TYPE_INT32_T
AC_TYPE_INT64_T
AC_TYPE_OFF_T
AC_C_RESTRICT
AC_TYPE_SIZE_T
AC_TYPE_UINT32_T
AC_TYPE_UINT64_T
AC_CHECK_TYPES([ptrdiff_t])

# Checks for library functions.
AC_FUNC_ERROR_AT_LINE
AC_FUNC_MALLOC
AC_FUNC_MKTIME
AC_FUNC_REALLOC
AC_CHECK_FUNCS([atexit floor memmove memset mkdir modf pow sqrt strcasecmp strchr strdup strerror strpbrk strrchr strstr strtol strtoul strtoull])

BOOST_STATIC()
BOOST_REQUIRE([1.43.0])
BOOST_THREADS
BOOST_FILESYSTEM
BOOST_REGEX
BOOST_SERIALIZATION
BOOST_SYSTEM
BOOST_IOSTREAMS
BOOST_DATE_TIME
BOOST_PROGRAM_OPTIONS
BOOST_CHRONO
AC_CONFIG_FILES([Makefile])
AC_OUTPUT
